cURL
curl "https://api.phrase.com/v2/projects/:project_id/screenshots/:screenshot_id/markers/:id?branch=my-feature-branch" \
-u USERNAME_OR_ACCESS_TOKENphrase screenshot_markers show \
--project_id <project_id> \
--screenshot_id <screenshot_id> \
--id <id> \
--branch my-feature-branch \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/screenshots/{screenshot_id}/markers/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/screenshots/{screenshot_id}/markers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "d2e056aa9e70b01121f41693e344f5ee",
"presentation": {
"x": 10,
"y": 10,
"w": 10,
"h": 10
},
"presentation_type": "default",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"translation_key": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "home.index.headline",
"description": "My description for this key...",
"name_hash": "1b31d2580ce324f246f66b3be00ed399",
"plural": false,
"tags": [
"awesome-feature",
"needs-proofreading"
],
"data_type": "string",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}
}Screenshot Markers
Get a single screenshot marker
Get details on a single screenshot marker for a given project.
GET
/
projects
/
{project_id}
/
screenshots
/
{screenshot_id}
/
markers
/
{id}
cURL
curl "https://api.phrase.com/v2/projects/:project_id/screenshots/:screenshot_id/markers/:id?branch=my-feature-branch" \
-u USERNAME_OR_ACCESS_TOKENphrase screenshot_markers show \
--project_id <project_id> \
--screenshot_id <screenshot_id> \
--id <id> \
--branch my-feature-branch \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/screenshots/{screenshot_id}/markers/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/screenshots/{screenshot_id}/markers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "d2e056aa9e70b01121f41693e344f5ee",
"presentation": {
"x": 10,
"y": 10,
"w": 10,
"h": 10
},
"presentation_type": "default",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"translation_key": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "home.index.headline",
"description": "My description for this key...",
"name_hash": "1b31d2580ce324f246f66b3be00ed399",
"plural": false,
"tags": [
"awesome-feature",
"needs-proofreading"
],
"data_type": "string",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}
}Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Path Parameters
Project ID
Screenshot ID
ID
Query Parameters
specify the branch to use
Response
OK
Coordinates and size of the marker on the screenshot, in pixels.
Show child attributes
Show child attributes
Marker presentation style. The default value is default.
Show child attributes
Show child attributes
Example:
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "home.index.headline",
"description": "My description for this key...",
"name_hash": "1b31d2580ce324f246f66b3be00ed399",
"plural": false,
"use_ordinal_rules": false,
"tags": ["awesome-feature", "needs-proofreading"],
"data_type": "string",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}
Was this page helpful?
⌘I